{ pkgs, ... }:

{
  users = {
    mutableUsers = false;

    users.mandlm = {
      isNormalUser = true;
      uid = 1000;
      home = "/home/mandlm";
      shell = pkgs.zsh;
      extraGroups = [
        "wheel"
        "networkmanager"
        "audio"
        "video"
        "input"
        "docker"
        "scanner"
        "lp"
        "camera"
        "dialout"
      ];
      hashedPassword = "$6$wV6dzYlgke5tN01q$rCMP/Hquss/1BgKarnZUkmejpBtjEcwmlUhbhAAmjc2Pwdbztp3yr/bD/LJ63XoZ0oD7yhTMqbECDdMqNKKDe/";
      openssh.authorizedKeys.keys = [ "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKWDcEoQhHfu0PHlg8jKgo1k48vsC+owgAll34ZM4mcD (none)" ];
    };
  };
}
